Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.resource
Class ResourceKey

    java.lang.Object
      edu.stanford.smi.protege.resource.ResourceKey

    public class ResourceKey

extends Object

TODO Class Comment

Author:
  Ray Fergerson

Field Summary
`static ResourceKey` | `ABOUT_APPLICATION_DIALOG_TITLE`
`static ResourceKey` | `ABOUT_PLUGINS_DIALOG_TITLE`
`static ResourceKey` | `ALLOWED_CLASSES`
`static ResourceKey` | `ALLOWED_SUPERCLASSES`
`static ResourceKey` | `ALLOWED_VALUES`
`static ResourceKey` | `APPLICATION_EXIT`
`static ResourceKey` | `APPLICATION_PREFERENCES`
`static ResourceKey` | `ARCHIVE_FAILED_DIALOG_TEXT`
`static ResourceKey` | `AT_LEAST_LABEL`
`static ResourceKey` | `AT_MOST_LABEL`
`static ResourceKey` | `AUTOSYNCHRONIZE_CLASS_TREES`
`static ResourceKey` | `CANCEL_BUTTON_LABEL`
`static ResourceKey` | `CASCADE_WINDOWS`
`static ResourceKey` | `CLASS_ADD`
`static ResourceKey` | `CLASS_ADD_SUPERCLASS`
`static ResourceKey` | `CLASS_BROWSER_ALL_RELATIONS_LABEL`
`static ResourceKey` | `CLASS_BROWSER_CHANGE_METACLASS_MENU_ITEM`
`static ResourceKey` | `CLASS_BROWSER_CHANGE_METACLASS_OF_SUBCLASSES_MENU_ITEM`
`static ResourceKey` | `CLASS_BROWSER_COLLAPSE_TREE_MENU_ITEM`
`static ResourceKey` | `CLASS_BROWSER_CREATE_SUBCLASS_USING_METACLASS_MENU_ITEM`
`static ResourceKey` | `CLASS_BROWSER_EXPAND_TREE_MENU_ITEM`
`static ResourceKey` | `CLASS_BROWSER_FOR_PROJECT_LABEL`
`static ResourceKey` | `CLASS_BROWSER_HIDE_CLASS_MENU_ITEM`
`static ResourceKey` | `CLASS_BROWSER_HIERARCHY_LABEL`
`static ResourceKey` | `CLASS_BROWSER_SET_AS_DEFAULT_METACLASS_MENU_ITEM`
`static ResourceKey` | `CLASS_BROWSER_SET_AS_DEFAULT_METASLOT_MENU_ITEM`
`static ResourceKey` | `CLASS_BROWSER_SHOW_ALL_RELATIONS_MENU_ITEM`
`static ResourceKey` | `CLASS_BROWSER_SHOW_CLASS_HIERARCHY_MENU_ITEM`
`static ResourceKey` | `CLASS_BROWSER_SHOW_RELATION_MENU_ITEM`
`static ResourceKey` | `CLASS_BROWSER_SUPERCLASSES_LABEL`
`static ResourceKey` | `CLASS_BROWSER_TITLE`
`static ResourceKey` | `CLASS_BROWSER_UNHIDE_CLASS_MENU_ITEM`
`static ResourceKey` | `CLASS_BROWSER_UNSET_AS_DEFAULT_METACLASS_MENU_ITEM`
`static ResourceKey` | `CLASS_BROWSER_UNSET_AS_DEFAULT_METASLOT_MENU_ITEM`
`static ResourceKey` | `CLASS_COPY`
`static ResourceKey` | `CLASS_CREATE`
`static ResourceKey` | `CLASS_CREATE_SUBCLASS`
`static ResourceKey` | `CLASS_DELETE`
`static ResourceKey` | `CLASS_EDITOR_FOR_CLASS_LABEL`
`static ResourceKey` | `CLASS_EDITOR_TITLE`
`static ResourceKey` | `CLASS_MOVE_DOWN`
`static ResourceKey` | `CLASS_MOVE_UP`
`static ResourceKey` | `CLASS_NOTE`
`static ResourceKey` | `CLASS_NOTE_CREATE`
`static ResourceKey` | `CLASS_NOTE_DELETE`
`static ResourceKey` | `CLASS_NOTE_HIDE_ALL`
`static ResourceKey` | `CLASS_REMOVE`
`static ResourceKey` | `CLASS_REMOVE_SUPERCLASS`
`static ResourceKey` | `CLASS_SEARCH_FOR`
`static ResourceKey` | `CLASS_VIEW`
`static ResourceKey` | `CLASS_VIEW_REFERENCES`
`static ResourceKey` | `CLASSES_VIEW_TITLE`
`static ResourceKey` | `CLEAR_ACTION`
`static ResourceKey` | `CLIPS_FILES_TO_EXPORT_DIALOG_TITLE`
`static ResourceKey` | `CLIPS_FILES_TO_IMPORT_DIALOG_TITLE`
`static ResourceKey` | `CLOSE_ALL_WINDOWS`
`static ResourceKey` | `CLOSE_BUTTON_LABEL`
`static ResourceKey` | `CLOSE_VIEW`
`static ResourceKey` | `COMMAND_HISTORY_ACTION`
`static ResourceKey` | `COMMAND_HISTORY_DIALOG_TITLE`
`static ResourceKey` | `COMPONENT_MENU`
`static ResourceKey` | `CONFIGURE_ARCHIVE_DIALOG_TITLE`
`static ResourceKey` | `CONSTRAINTS_SLOT_WIDGET_LABEL`
`static ResourceKey` | `CONVERT_UNICODE_SEQUENCE_ACTION`
`static ResourceKey` | `COPY_ACTION`
`static ResourceKey` | `COPY_DIALOG_TITLE`
`static ResourceKey` | `CUT_ACTION`
`static ResourceKey` | `DATABASE_CONFIGURATION_DIALOG_TITLE`
`static ResourceKey` | `DATABASE_CONFIGURE_FAILED_DIALOG_CANNOT_CREATE_CONNECTION_TEXT`
`static ResourceKey` | `DATABASE_CONFIGURE_FAILED_DIALOG_DRIVER_NOT_FOUND_TEXT`
`static ResourceKey` | `DECREASE_FONT_SIZE`
`static ResourceKey` | `DEFAULT_SLOT_WIDGET_LABEL`
`static ResourceKey` | `DELETE_CLASS_FAILED_DIALOG_TEXT`
`static ResourceKey` | `DETACH_VIEW`
`static ResourceKey` | `DIALOG_CONFIRM_DELETE_TEXT`
`static ResourceKey` | `DIALOG_CONFIRM_REMOVE_TEXT`
`static ResourceKey` | `DIALOG_SAVE_CHANGES_TEXT`
`static ResourceKey` | `DIRECT_INSTANCES_SLOT_WIDGET_LABEL`
`static ResourceKey` | `DIRECT_TYPES_SLOT_WIDGET_LABEL`
`static ResourceKey` | `DIRECTLY_INCLUDED_PROJECTS_DIALOG_TITLE`
`static ResourceKey` | `DOCUMENTATION_SLOT_WIDGET_LABEL`
`static ResourceKey` | `DOMAIN_SLOT_WIDGET_LABEL`
`static ResourceKey` | `ENCODINGS_DIALOG_TITLE`
`static ResourceKey` | `ERROR_DIALOG_TITLE`
`static ResourceKey` | `ERRORS_DIALOG_TITLE`
`static ResourceKey` | `EXPORT_DIALOG_TITLE`
`static ResourceKey` | `FACET_CREATE`
`static ResourceKey` | `FACET_DELETE`
`static ResourceKey` | `FACET_VIEW`
`static ResourceKey` | `FACET_VIEW_REFERENCES`
`static ResourceKey` | `FORM_BROWSER_FORMS_LABEL`
`static ResourceKey` | `FORM_BROWSER_TITLE`
`static ResourceKey` | `FORM_EDITOR_DISPLAY_SLOT_LABEL`
`static ResourceKey` | `FORM_EDITOR_SELECT_A_WIDGET_PROMPT`
`static ResourceKey` | `FORM_EDITOR_SELECT_NO_WIDGET`
`static ResourceKey` | `FORM_EDITOR_SELECTED_WIDGET_TYPE_LABEL`
`static ResourceKey` | `FORM_EDITOR_TITLE`
`static ResourceKey` | `FORM_LAYOUT_LIKE`
`static ResourceKey` | `FORM_RELAYOUT`
`static ResourceKey` | `FORM_REMOVE_CUSTOMIZATIONS`
`static ResourceKey` | `FORM_SEARCH_FOR`
`static ResourceKey` | `FORM_VIEW_CUSTOMIZATIONS`
`static ResourceKey` | `FORMS_VIEW_TITLE`
`static ResourceKey` | `FRAME_EDITOR_FRAME_NAME`
`static ResourceKey` | `FRAME_EDITOR_FRAME_TYPE`
`static ResourceKey` | `FRAME_EDITOR_FRAME_TYPE_AND_NAME`
`static ResourceKey` | `GENERATE_HTML_OPTIONS_DIALOG_TITLE`
`static ResourceKey` | `HELP_MENU_ABOUT`
`static ResourceKey` | `HELP_MENU_ABOUT_PLUGINS`
`static ResourceKey` | `HELP_MENU_CITE_PROTEGE`
`static ResourceKey` | `HELP_MENU_FAQ`
`static ResourceKey` | `HELP_MENU_GETTING_STARTED`
`static ResourceKey` | `HELP_MENU_ICONS`
`static ResourceKey` | `HELP_MENU_ONTOLOGIES_101`
`static ResourceKey` | `HELP_MENU_PLUGINS`
`static ResourceKey` | `HELP_MENU_USERS_GUIDE`
`static ResourceKey` | `IMPORT_DIALOG_TITLE`
`static ResourceKey` | `INCLUDE_PROJECT_FAILED_DIALOG_RECURSIVE_INCLUDE_TEXT`
`static ResourceKey` | `INCLUDE_PROJECT_FILED_DIALOG_ALREADY_INCLUDED_TEXT`
`static ResourceKey` | `INCLUDED_PROJECTS_DIALOG_TITLE`
`static ResourceKey` | `INCREASE_FONT_SIZE`
`static ResourceKey` | `INSERT_UNICODE_ACTION`
`static ResourceKey` | `INSTANCE_ADD`
`static ResourceKey` | `INSTANCE_BROWSER_TITLE`
`static ResourceKey` | `INSTANCE_COPY`
`static ResourceKey` | `INSTANCE_CREATE`
`static ResourceKey` | `INSTANCE_DELETE`
`static ResourceKey` | `INSTANCE_EDITOR_FOR_INSTANCE_LABEL`
`static ResourceKey` | `INSTANCE_EDITOR_TITLE`
`static ResourceKey` | `INSTANCE_MOVE_DOWN`
`static ResourceKey` | `INSTANCE_MOVE_UP`
`static ResourceKey` | `INSTANCE_NOTE`
`static ResourceKey` | `INSTANCE_NOTE_CREATE`
`static ResourceKey` | `INSTANCE_NOTE_DELETE`
`static ResourceKey` | `INSTANCE_NOTE_HIDE`
`static ResourceKey` | `INSTANCE_REMOVE`
`static ResourceKey` | `INSTANCE_SEARCH_FOR`
`static ResourceKey` | `INSTANCE_VIEW`
`static ResourceKey` | `INSTANCE_VIEW_REFERENCES`
`static ResourceKey` | `INSTANCES_VIEW_TITLE`
`static ResourceKey` | `INVERSE_SLOT_WIDGET_LABEL`
`static ResourceKey` | `LOOK_AND_FEEL`
`static ResourceKey` | `MENUBAR_EDIT`
`static ResourceKey` | `MENUBAR_FILE`
`static ResourceKey` | `MENUBAR_HELP`
`static ResourceKey` | `MENUBAR_PROJECT`
`static ResourceKey` | `MENUBAR_WINDOW`
`static ResourceKey` | `METRICS_DIALOG_TITLE`
`static ResourceKey` | `MINIMUM_CARDINALITY_SLOT_WIDGET_LABEL`
`static ResourceKey` | `MULTIPLE_LABEL`
`static ResourceKey` | `NAME_SLOT_WIDGET_LABEL`
`static ResourceKey` | `NO_BUTTON_LABEL`
`static ResourceKey` | `NUMERIC_MAXIMUM_SLOT_WIDGET_LABEL`
`static ResourceKey` | `NUMERIC_MINIMUM_SLOT_WIDGET_LABEL`
`static ResourceKey` | `OK_BUTTON_LABEL`
`static ResourceKey` | `OPEN_PROJECT_DIALOG_TITLE`
`static ResourceKey` | `PASTE_ACTION`
`static ResourceKey` | `PREFERENCES_DIALOG_TITLE`
`static ResourceKey` | `PROJECT_ADD`
`static ResourceKey` | `PROJECT_ARCHIVE`
`static ResourceKey` | `PROJECT_BUILD`
`static ResourceKey` | `PROJECT_CHANGE_INCLUDED`
`static ResourceKey` | `PROJECT_CLOSE`
`static ResourceKey` | `PROJECT_CONFIGURE`
`static ResourceKey` | `PROJECT_CONFIGURE_ARCHIVE`
`static ResourceKey` | `PROJECT_CONVERT`
`static ResourceKey` | `PROJECT_EXPORT`
`static ResourceKey` | `PROJECT_EXPORT_TO_FORMAT`
`static ResourceKey` | `PROJECT_FILE_ENCODINGS`
`static ResourceKey` | `PROJECT_GENERATE_HTML`
`static ResourceKey` | `PROJECT_IMPORT`
`static ResourceKey` | `PROJECT_IMPORT_TO_STANDARD`
`static ResourceKey` | `PROJECT_INCLUDE`
`static ResourceKey` | `PROJECT_MANAGE_INCLUDED`
`static ResourceKey` | `PROJECT_MANAGE_INCLUDED_DIALOG`
`static ResourceKey` | `PROJECT_MERGE_INCLUDED`
`static ResourceKey` | `PROJECT_METRICS`
`static ResourceKey` | `PROJECT_NEW`
`static ResourceKey` | `PROJECT_OPEN`
`static ResourceKey` | `PROJECT_OPEN_RECENT`
`static ResourceKey` | `PROJECT_OPEN_REMOTE`
`static ResourceKey` | `PROJECT_REMOVE`
`static ResourceKey` | `PROJECT_REVERT`
`static ResourceKey` | `PROJECT_SAVE`
`static ResourceKey` | `PROJECT_SAVE_AS`
`static ResourceKey` | `PROJECT_SAVE_TO_FORMAT`
`static ResourceKey` | `PROJECT_SHOW_INCLUDED`
`static ResourceKey` | `REDO_ACTION`
`static ResourceKey` | `RELOAD_PROJECT_FAILED_DIALOG_TITLE`
`static ResourceKey` | `REMOTE_CONNECT_FAILED_DIALOG_TEXT`
`static ResourceKey` | `REMOTE_HOST_CONNECT_DIALOG_TITLE`
`static ResourceKey` | `REMOTE_PROJECT_SELECT_DIALOG_TITLE`
`static ResourceKey` | `REMOTE_SESSION_CREATE_FAILED_DIALOG_TEXT`
`static ResourceKey` | `REMOTE_SESSION_CREATE_FAILED_DIALOG_TITLE`
`static ResourceKey` | `REQUIRED_LABEL`
`static ResourceKey` | `ROLE_SLOT_WIDGET_LABEL`
`static ResourceKey` | `SAVE_PROJECT_FAILED_DIALOG_TITLE`
`static ResourceKey` | `SLOT_ADD`
`static ResourceKey` | `SLOT_ADD_SUPERSLOT`
`static ResourceKey` | `SLOT_BROWSER_HIERARCHY_LABEL`
`static ResourceKey` | `SLOT_BROWSER_SUPERSLOTS_LABEL`
`static ResourceKey` | `SLOT_BROWSER_TITLE`
`static ResourceKey` | `SLOT_COPY`
`static ResourceKey` | `SLOT_CREATE`
`static ResourceKey` | `SLOT_CREATE_SUBSLOT`
`static ResourceKey` | `SLOT_DELETE`
`static ResourceKey` | `SLOT_EDITOR_FOR_SLOT_LABEL`
`static ResourceKey` | `SLOT_EDITOR_TITLE`
`static ResourceKey` | `SLOT_MOVE_DOWN`
`static ResourceKey` | `SLOT_MOVE_UP`
`static ResourceKey` | `SLOT_NOTE`
`static ResourceKey` | `SLOT_NOTE_CREATE`
`static ResourceKey` | `SLOT_NOTE_DELETE`
`static ResourceKey` | `SLOT_NOTE_HIDE`
`static ResourceKey` | `SLOT_REMOVE`
`static ResourceKey` | `SLOT_REMOVE_FACET_OVERRIDES`
`static ResourceKey` | `SLOT_REMOVE_SUPERSLOT`
`static ResourceKey` | `SLOT_SEARCH_FOR`
`static ResourceKey` | `SLOT_VIEW`
`static ResourceKey` | `SLOT_VIEW_FACET_OVERRIDES`
`static ResourceKey` | `SLOT_VIEW_REFERENCES`
`static ResourceKey` | `SLOT_VIEW_TOP_LEVEL`
`static ResourceKey` | `SLOTS_VIEW_TITLE`
`static ResourceKey` | `SUBCLASSES_SLOT_WIDGET_LABEL`
`static ResourceKey` | `SUBSLOTS_SLOT_WIDGET_LABEL`
`static ResourceKey` | `SUPERCLASSES_SLOT_WIDGET_LABEL`
`static ResourceKey` | `SUPERSLOTS_SLOT_WIDGET_LABEL`
`static ResourceKey` | `SYNCHRONIZE_CLASS_TREE`
`static ResourceKey` | `TEMPLATE_SLOTS_SLOT_WIDGET_CARDINALITY`
`static ResourceKey` | `TEMPLATE_SLOTS_SLOT_WIDGET_LABEL`
`static ResourceKey` | `TEMPLATE_SLOTS_SLOT_WIDGET_NAME`
`static ResourceKey` | `TEMPLATE_SLOTS_SLOT_WIDGET_OTHER_FACETS`
`static ResourceKey` | `TEMPLATE_SLOTS_SLOT_WIDGET_TYPE`
`static ResourceKey` | `TEMPLATE_VALUES_SLOT_WIDGET_LABEL`
`static ResourceKey` | `TYPE_ANY`
`static ResourceKey` | `TYPE_BOOLEAN`
`static ResourceKey` | `TYPE_CLASS`
`static ResourceKey` | `TYPE_FLOAT`
`static ResourceKey` | `TYPE_INSTANCE`
`static ResourceKey` | `TYPE_INTEGER`
`static ResourceKey` | `TYPE_STRING`
`static ResourceKey` | `TYPE_SYMBOL`
`static ResourceKey` | `UNDO_ACTION`
`static ResourceKey` | `URL_VIEW_IN_BROWSER`
`static ResourceKey` | `VALUE_ADD`
`static ResourceKey` | `VALUE_COPY`
`static ResourceKey` | `VALUE_CREATE`
`static ResourceKey` | `VALUE_DELETE`
`static ResourceKey` | `VALUE_MOVE_DOWN`
`static ResourceKey` | `VALUE_MOVE_UP`
`static ResourceKey` | `VALUE_REMOVE`
`static ResourceKey` | `VALUE_TYPE_SLOT_WIDGET_LABEL`
`static ResourceKey` | `VALUE_VIEW`
`static ResourceKey` | `VALUE_VIEW_REFERENCES`
`static ResourceKey` | `WELCOME_DIALOG_ALL_TOPICS`
`static ResourceKey` | `WELCOME_DIALOG_FAQ`
`static ResourceKey` | `WELCOME_DIALOG_GETTING_STARTED`
`static ResourceKey` | `WELCOME_DIALOG_HELP_TITLE`
`static ResourceKey` | `WELCOME_DIALOG_NEW`
`static ResourceKey` | `WELCOME_DIALOG_NEW_TOOLTIP`
`static ResourceKey` | `WELCOME_DIALOG_OPEN`
`static ResourceKey` | `WELCOME_DIALOG_OPEN_OTHER`
`static ResourceKey` | `WELCOME_DIALOG_OPEN_OTHER_TOOLTIP`
`static ResourceKey` | `WELCOME_DIALOG_OPEN_RECENT_PROJECT_TITLE`
`static ResourceKey` | `WELCOME_DIALOG_OPEN_TOOLTIP`
`static ResourceKey` | `WELCOME_DIALOG_USERS_GUIDE`
`static ResourceKey` | `YES_BUTTON_LABEL`

Constructor Summary
`ResourceKey(String key)`

Method Summary
`boolean` | `equals(Object o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MENUBAR_FILE

    public static final ResourceKey MENUBAR_FILE

### MENUBAR_PROJECT

    public static final ResourceKey MENUBAR_PROJECT

### MENUBAR_EDIT

    public static final ResourceKey MENUBAR_EDIT

### MENUBAR_HELP

    public static final ResourceKey MENUBAR_HELP

### MENUBAR_WINDOW

    public static final ResourceKey MENUBAR_WINDOW

### PROJECT_NEW

    public static final ResourceKey PROJECT_NEW

### PROJECT_OPEN

    public static final ResourceKey PROJECT_OPEN

### PROJECT_OPEN_RECENT

    public static final ResourceKey PROJECT_OPEN_RECENT

### PROJECT_OPEN_REMOTE

    public static final ResourceKey PROJECT_OPEN_REMOTE

### PROJECT_CLOSE

    public static final ResourceKey PROJECT_CLOSE

### PROJECT_SAVE

    public static final ResourceKey PROJECT_SAVE

### PROJECT_SAVE_AS

    public static final ResourceKey PROJECT_SAVE_AS

### PROJECT_SAVE_TO_FORMAT

    public static final ResourceKey PROJECT_SAVE_TO_FORMAT

### PROJECT_BUILD

    public static final ResourceKey PROJECT_BUILD

### PROJECT_IMPORT

    public static final ResourceKey PROJECT_IMPORT

### PROJECT_EXPORT

    public static final ResourceKey PROJECT_EXPORT

### PROJECT_CONVERT

    public static final ResourceKey PROJECT_CONVERT

### PROJECT_IMPORT_TO_STANDARD

    public static final ResourceKey PROJECT_IMPORT_TO_STANDARD

### PROJECT_EXPORT_TO_FORMAT

    public static final ResourceKey PROJECT_EXPORT_TO_FORMAT

### PROJECT_GENERATE_HTML

    public static final ResourceKey PROJECT_GENERATE_HTML

### PROJECT_ARCHIVE

    public static final ResourceKey PROJECT_ARCHIVE

### PROJECT_CHANGE_INCLUDED

    public static final ResourceKey PROJECT_CHANGE_INCLUDED

### PROJECT_CONFIGURE_ARCHIVE

    public static final ResourceKey PROJECT_CONFIGURE_ARCHIVE

### PROJECT_CONFIGURE

    public static final ResourceKey PROJECT_CONFIGURE

### PROJECT_INCLUDE

    public static final ResourceKey PROJECT_INCLUDE

### PROJECT_MANAGE_INCLUDED

    public static final ResourceKey PROJECT_MANAGE_INCLUDED

### PROJECT_MANAGE_INCLUDED_DIALOG

    public static final ResourceKey PROJECT_MANAGE_INCLUDED_DIALOG

### PROJECT_MERGE_INCLUDED

    public static final ResourceKey PROJECT_MERGE_INCLUDED

### PROJECT_REVERT

    public static final ResourceKey PROJECT_REVERT

### PROJECT_FILE_ENCODINGS

    public static final ResourceKey PROJECT_FILE_ENCODINGS

### PROJECT_SHOW_INCLUDED

    public static final ResourceKey PROJECT_SHOW_INCLUDED

### PROJECT_METRICS

    public static final ResourceKey PROJECT_METRICS

### APPLICATION_PREFERENCES

    public static final ResourceKey APPLICATION_PREFERENCES

### APPLICATION_EXIT

    public static final ResourceKey APPLICATION_EXIT

### CUT_ACTION

    public static final ResourceKey CUT_ACTION

### COPY_ACTION

    public static final ResourceKey COPY_ACTION

### PASTE_ACTION

    public static final ResourceKey PASTE_ACTION

### UNDO_ACTION

    public static final ResourceKey UNDO_ACTION

### REDO_ACTION

    public static final ResourceKey REDO_ACTION

### CLEAR_ACTION

    public static final ResourceKey CLEAR_ACTION

### COMMAND_HISTORY_ACTION

    public static final ResourceKey COMMAND_HISTORY_ACTION

### INSERT_UNICODE_ACTION

    public static final ResourceKey INSERT_UNICODE_ACTION

### CONVERT_UNICODE_SEQUENCE_ACTION

    public static final ResourceKey CONVERT_UNICODE_SEQUENCE_ACTION

### SYNCHRONIZE_CLASS_TREE

    public static final ResourceKey SYNCHRONIZE_CLASS_TREE

### AUTOSYNCHRONIZE_CLASS_TREES

    public static final ResourceKey AUTOSYNCHRONIZE_CLASS_TREES

### DETACH_VIEW

    public static final ResourceKey DETACH_VIEW

### CLOSE_VIEW

    public static final ResourceKey CLOSE_VIEW

### CASCADE_WINDOWS

    public static final ResourceKey CASCADE_WINDOWS

### CLOSE_ALL_WINDOWS

    public static final ResourceKey CLOSE_ALL_WINDOWS

### INCREASE_FONT_SIZE

    public static final ResourceKey INCREASE_FONT_SIZE

### DECREASE_FONT_SIZE

    public static final ResourceKey DECREASE_FONT_SIZE

### LOOK_AND_FEEL

    public static final ResourceKey LOOK_AND_FEEL

### HELP_MENU_ICONS

    public static final ResourceKey HELP_MENU_ICONS

### HELP_MENU_GETTING_STARTED

    public static final ResourceKey HELP_MENU_GETTING_STARTED

### HELP_MENU_FAQ

    public static final ResourceKey HELP_MENU_FAQ

### HELP_MENU_USERS_GUIDE

    public static final ResourceKey HELP_MENU_USERS_GUIDE

### HELP_MENU_ONTOLOGIES_101

    public static final ResourceKey HELP_MENU_ONTOLOGIES_101

### HELP_MENU_PLUGINS

    public static final ResourceKey HELP_MENU_PLUGINS

### HELP_MENU_ABOUT

    public static final ResourceKey HELP_MENU_ABOUT

### HELP_MENU_ABOUT_PLUGINS

    public static final ResourceKey HELP_MENU_ABOUT_PLUGINS

### HELP_MENU_CITE_PROTEGE

    public static final ResourceKey HELP_MENU_CITE_PROTEGE

### CLASS_NOTE

    public static final ResourceKey CLASS_NOTE

### CLASS_NOTE_CREATE

    public static final ResourceKey CLASS_NOTE_CREATE

### CLASS_NOTE_DELETE

    public static final ResourceKey CLASS_NOTE_DELETE

### CLASS_NOTE_HIDE_ALL

    public static final ResourceKey CLASS_NOTE_HIDE_ALL

### CLASS_VIEW

    public static final ResourceKey CLASS_VIEW

### CLASS_VIEW_REFERENCES

    public static final ResourceKey CLASS_VIEW_REFERENCES

### CLASS_SEARCH_FOR

    public static final ResourceKey CLASS_SEARCH_FOR

### CLASS_CREATE

    public static final ResourceKey CLASS_CREATE

### CLASS_CREATE_SUBCLASS

    public static final ResourceKey CLASS_CREATE_SUBCLASS

### CLASS_DELETE

    public static final ResourceKey CLASS_DELETE

### CLASS_ADD

    public static final ResourceKey CLASS_ADD

### CLASS_REMOVE

    public static final ResourceKey CLASS_REMOVE

### CLASS_ADD_SUPERCLASS

    public static final ResourceKey CLASS_ADD_SUPERCLASS

### CLASS_REMOVE_SUPERCLASS

    public static final ResourceKey CLASS_REMOVE_SUPERCLASS

### CLASS_COPY

    public static final ResourceKey CLASS_COPY

### CLASS_MOVE_UP

    public static final ResourceKey CLASS_MOVE_UP

### CLASS_MOVE_DOWN

    public static final ResourceKey CLASS_MOVE_DOWN

### INSTANCE_NOTE

    public static final ResourceKey INSTANCE_NOTE

### INSTANCE_NOTE_CREATE

    public static final ResourceKey INSTANCE_NOTE_CREATE

### INSTANCE_NOTE_DELETE

    public static final ResourceKey INSTANCE_NOTE_DELETE

### INSTANCE_NOTE_HIDE

    public static final ResourceKey INSTANCE_NOTE_HIDE

### INSTANCE_VIEW

    public static final ResourceKey INSTANCE_VIEW

### INSTANCE_VIEW_REFERENCES

    public static final ResourceKey INSTANCE_VIEW_REFERENCES

### INSTANCE_SEARCH_FOR

    public static final ResourceKey INSTANCE_SEARCH_FOR

### INSTANCE_CREATE

    public static final ResourceKey INSTANCE_CREATE

### INSTANCE_DELETE

    public static final ResourceKey INSTANCE_DELETE

### INSTANCE_ADD

    public static final ResourceKey INSTANCE_ADD

### INSTANCE_REMOVE

    public static final ResourceKey INSTANCE_REMOVE

### INSTANCE_COPY

    public static final ResourceKey INSTANCE_COPY

### INSTANCE_MOVE_UP

    public static final ResourceKey INSTANCE_MOVE_UP

### INSTANCE_MOVE_DOWN

    public static final ResourceKey INSTANCE_MOVE_DOWN

### SLOT_NOTE

    public static final ResourceKey SLOT_NOTE

### SLOT_NOTE_CREATE

    public static final ResourceKey SLOT_NOTE_CREATE

### SLOT_NOTE_DELETE

    public static final ResourceKey SLOT_NOTE_DELETE

### SLOT_NOTE_HIDE

    public static final ResourceKey SLOT_NOTE_HIDE

### SLOT_VIEW

    public static final ResourceKey SLOT_VIEW

### SLOT_VIEW_TOP_LEVEL

    public static final ResourceKey SLOT_VIEW_TOP_LEVEL

### SLOT_VIEW_FACET_OVERRIDES

    public static final ResourceKey SLOT_VIEW_FACET_OVERRIDES

### SLOT_VIEW_REFERENCES

    public static final ResourceKey SLOT_VIEW_REFERENCES

### SLOT_SEARCH_FOR

    public static final ResourceKey SLOT_SEARCH_FOR

### SLOT_CREATE

    public static final ResourceKey SLOT_CREATE

### SLOT_CREATE_SUBSLOT

    public static final ResourceKey SLOT_CREATE_SUBSLOT

### SLOT_DELETE

    public static final ResourceKey SLOT_DELETE

### SLOT_ADD

    public static final ResourceKey SLOT_ADD

### SLOT_REMOVE

    public static final ResourceKey SLOT_REMOVE

### SLOT_REMOVE_FACET_OVERRIDES

    public static final ResourceKey SLOT_REMOVE_FACET_OVERRIDES

### SLOT_ADD_SUPERSLOT

    public static final ResourceKey SLOT_ADD_SUPERSLOT

### SLOT_REMOVE_SUPERSLOT

    public static final ResourceKey SLOT_REMOVE_SUPERSLOT

### SLOT_COPY

    public static final ResourceKey SLOT_COPY

### SLOT_MOVE_UP

    public static final ResourceKey SLOT_MOVE_UP

### SLOT_MOVE_DOWN

    public static final ResourceKey SLOT_MOVE_DOWN

### FACET_VIEW

    public static final ResourceKey FACET_VIEW

### FACET_VIEW_REFERENCES

    public static final ResourceKey FACET_VIEW_REFERENCES

### FACET_CREATE

    public static final ResourceKey FACET_CREATE

### FACET_DELETE

    public static final ResourceKey FACET_DELETE

### VALUE_VIEW

    public static final ResourceKey VALUE_VIEW

### VALUE_VIEW_REFERENCES

    public static final ResourceKey VALUE_VIEW_REFERENCES

### VALUE_CREATE

    public static final ResourceKey VALUE_CREATE

### VALUE_DELETE

    public static final ResourceKey VALUE_DELETE

### VALUE_ADD

    public static final ResourceKey VALUE_ADD

### VALUE_REMOVE

    public static final ResourceKey VALUE_REMOVE

### VALUE_COPY

    public static final ResourceKey VALUE_COPY

### VALUE_MOVE_UP

    public static final ResourceKey VALUE_MOVE_UP

### VALUE_MOVE_DOWN

    public static final ResourceKey VALUE_MOVE_DOWN

### FORM_SEARCH_FOR

    public static final ResourceKey FORM_SEARCH_FOR

### FORM_VIEW_CUSTOMIZATIONS

    public static final ResourceKey FORM_VIEW_CUSTOMIZATIONS

### FORM_REMOVE_CUSTOMIZATIONS

    public static final ResourceKey FORM_REMOVE_CUSTOMIZATIONS

### FORM_LAYOUT_LIKE

    public static final ResourceKey FORM_LAYOUT_LIKE

### FORM_RELAYOUT

    public static final ResourceKey FORM_RELAYOUT

### PROJECT_ADD

    public static final ResourceKey PROJECT_ADD

### PROJECT_REMOVE

    public static final ResourceKey PROJECT_REMOVE

### COMPONENT_MENU

    public static final ResourceKey COMPONENT_MENU

### URL_VIEW_IN_BROWSER

    public static final ResourceKey URL_VIEW_IN_BROWSER

### CLASS_BROWSER_TITLE

    public static final ResourceKey CLASS_BROWSER_TITLE

### CLASS_BROWSER_FOR_PROJECT_LABEL

    public static final ResourceKey CLASS_BROWSER_FOR_PROJECT_LABEL

### CLASS_BROWSER_HIERARCHY_LABEL

    public static final ResourceKey CLASS_BROWSER_HIERARCHY_LABEL

### CLASS_BROWSER_ALL_RELATIONS_LABEL

    public static final ResourceKey CLASS_BROWSER_ALL_RELATIONS_LABEL

### CLASS_BROWSER_SUPERCLASSES_LABEL

    public static final ResourceKey CLASS_BROWSER_SUPERCLASSES_LABEL

### CLASS_BROWSER_SHOW_CLASS_HIERARCHY_MENU_ITEM

    public static final ResourceKey CLASS_BROWSER_SHOW_CLASS_HIERARCHY_MENU_ITEM

### CLASS_BROWSER_SHOW_ALL_RELATIONS_MENU_ITEM

    public static final ResourceKey CLASS_BROWSER_SHOW_ALL_RELATIONS_MENU_ITEM

### CLASS_BROWSER_SHOW_RELATION_MENU_ITEM

    public static final ResourceKey CLASS_BROWSER_SHOW_RELATION_MENU_ITEM

### CLASS_BROWSER_COLLAPSE_TREE_MENU_ITEM

    public static final ResourceKey CLASS_BROWSER_COLLAPSE_TREE_MENU_ITEM

### CLASS_BROWSER_EXPAND_TREE_MENU_ITEM

    public static final ResourceKey CLASS_BROWSER_EXPAND_TREE_MENU_ITEM

### CLASS_BROWSER_SET_AS_DEFAULT_METACLASS_MENU_ITEM

    public static final ResourceKey CLASS_BROWSER_SET_AS_DEFAULT_METACLASS_MENU_ITEM

### CLASS_BROWSER_UNSET_AS_DEFAULT_METACLASS_MENU_ITEM

    public static final ResourceKey CLASS_BROWSER_UNSET_AS_DEFAULT_METACLASS_MENU_ITEM

### CLASS_BROWSER_SET_AS_DEFAULT_METASLOT_MENU_ITEM

    public static final ResourceKey CLASS_BROWSER_SET_AS_DEFAULT_METASLOT_MENU_ITEM

### CLASS_BROWSER_UNSET_AS_DEFAULT_METASLOT_MENU_ITEM

    public static final ResourceKey CLASS_BROWSER_UNSET_AS_DEFAULT_METASLOT_MENU_ITEM

### CLASS_BROWSER_CHANGE_METACLASS_MENU_ITEM

    public static final ResourceKey CLASS_BROWSER_CHANGE_METACLASS_MENU_ITEM

### CLASS_BROWSER_CHANGE_METACLASS_OF_SUBCLASSES_MENU_ITEM

    public static final ResourceKey CLASS_BROWSER_CHANGE_METACLASS_OF_SUBCLASSES_MENU_ITEM

### CLASS_BROWSER_CREATE_SUBCLASS_USING_METACLASS_MENU_ITEM

    public static final ResourceKey CLASS_BROWSER_CREATE_SUBCLASS_USING_METACLASS_MENU_ITEM

### CLASS_BROWSER_HIDE_CLASS_MENU_ITEM

    public static final ResourceKey CLASS_BROWSER_HIDE_CLASS_MENU_ITEM

### CLASS_BROWSER_UNHIDE_CLASS_MENU_ITEM

    public static final ResourceKey CLASS_BROWSER_UNHIDE_CLASS_MENU_ITEM

### CLASS_EDITOR_TITLE

    public static final ResourceKey CLASS_EDITOR_TITLE

### CLASS_EDITOR_FOR_CLASS_LABEL

    public static final ResourceKey CLASS_EDITOR_FOR_CLASS_LABEL

### SLOT_BROWSER_TITLE

    public static final ResourceKey SLOT_BROWSER_TITLE

### SLOT_BROWSER_HIERARCHY_LABEL

    public static final ResourceKey SLOT_BROWSER_HIERARCHY_LABEL

### SLOT_BROWSER_SUPERSLOTS_LABEL

    public static final ResourceKey SLOT_BROWSER_SUPERSLOTS_LABEL

### SLOT_EDITOR_TITLE

    public static final ResourceKey SLOT_EDITOR_TITLE

### SLOT_EDITOR_FOR_SLOT_LABEL

    public static final ResourceKey SLOT_EDITOR_FOR_SLOT_LABEL

### INSTANCE_BROWSER_TITLE

    public static final ResourceKey INSTANCE_BROWSER_TITLE

### INSTANCE_EDITOR_TITLE

    public static final ResourceKey INSTANCE_EDITOR_TITLE

### INSTANCE_EDITOR_FOR_INSTANCE_LABEL

    public static final ResourceKey INSTANCE_EDITOR_FOR_INSTANCE_LABEL

### FRAME_EDITOR_FRAME_NAME

    public static final ResourceKey FRAME_EDITOR_FRAME_NAME

### FRAME_EDITOR_FRAME_TYPE

    public static final ResourceKey FRAME_EDITOR_FRAME_TYPE

### FRAME_EDITOR_FRAME_TYPE_AND_NAME

    public static final ResourceKey FRAME_EDITOR_FRAME_TYPE_AND_NAME

### FORM_BROWSER_TITLE

    public static final ResourceKey FORM_BROWSER_TITLE

### FORM_BROWSER_FORMS_LABEL

    public static final ResourceKey FORM_BROWSER_FORMS_LABEL

### FORM_EDITOR_TITLE

    public static final ResourceKey FORM_EDITOR_TITLE

### FORM_EDITOR_SELECTED_WIDGET_TYPE_LABEL

    public static final ResourceKey FORM_EDITOR_SELECTED_WIDGET_TYPE_LABEL

### FORM_EDITOR_SELECT_A_WIDGET_PROMPT

    public static final ResourceKey FORM_EDITOR_SELECT_A_WIDGET_PROMPT

### FORM_EDITOR_DISPLAY_SLOT_LABEL

    public static final ResourceKey FORM_EDITOR_DISPLAY_SLOT_LABEL

### FORM_EDITOR_SELECT_NO_WIDGET

    public static final ResourceKey FORM_EDITOR_SELECT_NO_WIDGET

### CLASSES_VIEW_TITLE

    public static final ResourceKey CLASSES_VIEW_TITLE

### SLOTS_VIEW_TITLE

    public static final ResourceKey SLOTS_VIEW_TITLE

### FORMS_VIEW_TITLE

    public static final ResourceKey FORMS_VIEW_TITLE

### INSTANCES_VIEW_TITLE

    public static final ResourceKey INSTANCES_VIEW_TITLE

### OK_BUTTON_LABEL

    public static final ResourceKey OK_BUTTON_LABEL

### CANCEL_BUTTON_LABEL

    public static final ResourceKey CANCEL_BUTTON_LABEL

### YES_BUTTON_LABEL

    public static final ResourceKey YES_BUTTON_LABEL

### NO_BUTTON_LABEL

    public static final ResourceKey NO_BUTTON_LABEL

### CLOSE_BUTTON_LABEL

    public static final ResourceKey CLOSE_BUTTON_LABEL

### DIALOG_SAVE_CHANGES_TEXT

    public static final ResourceKey DIALOG_SAVE_CHANGES_TEXT

### DIALOG_CONFIRM_REMOVE_TEXT

    public static final ResourceKey DIALOG_CONFIRM_REMOVE_TEXT

### DIALOG_CONFIRM_DELETE_TEXT

    public static final ResourceKey DIALOG_CONFIRM_DELETE_TEXT

### DATABASE_CONFIGURATION_DIALOG_TITLE

    public static final ResourceKey DATABASE_CONFIGURATION_DIALOG_TITLE

### SAVE_PROJECT_FAILED_DIALOG_TITLE

    public static final ResourceKey SAVE_PROJECT_FAILED_DIALOG_TITLE

### RELOAD_PROJECT_FAILED_DIALOG_TITLE

    public static final ResourceKey RELOAD_PROJECT_FAILED_DIALOG_TITLE

### ERRORS_DIALOG_TITLE

    public static final ResourceKey ERRORS_DIALOG_TITLE

### REMOTE_HOST_CONNECT_DIALOG_TITLE

    public static final ResourceKey REMOTE_HOST_CONNECT_DIALOG_TITLE

### REMOTE_PROJECT_SELECT_DIALOG_TITLE

    public static final ResourceKey REMOTE_PROJECT_SELECT_DIALOG_TITLE

### REMOTE_CONNECT_FAILED_DIALOG_TEXT

    public static final ResourceKey REMOTE_CONNECT_FAILED_DIALOG_TEXT

### REMOTE_SESSION_CREATE_FAILED_DIALOG_TEXT

    public static final ResourceKey REMOTE_SESSION_CREATE_FAILED_DIALOG_TEXT

### REMOTE_SESSION_CREATE_FAILED_DIALOG_TITLE

    public static final ResourceKey REMOTE_SESSION_CREATE_FAILED_DIALOG_TITLE

### ARCHIVE_FAILED_DIALOG_TEXT

    public static final ResourceKey ARCHIVE_FAILED_DIALOG_TEXT

### DIRECTLY_INCLUDED_PROJECTS_DIALOG_TITLE

    public static final ResourceKey DIRECTLY_INCLUDED_PROJECTS_DIALOG_TITLE

### CONFIGURE_ARCHIVE_DIALOG_TITLE

    public static final ResourceKey CONFIGURE_ARCHIVE_DIALOG_TITLE

### DELETE_CLASS_FAILED_DIALOG_TEXT

    public static final ResourceKey DELETE_CLASS_FAILED_DIALOG_TEXT

### EXPORT_DIALOG_TITLE

    public static final ResourceKey EXPORT_DIALOG_TITLE

### GENERATE_HTML_OPTIONS_DIALOG_TITLE

    public static final ResourceKey GENERATE_HTML_OPTIONS_DIALOG_TITLE

### IMPORT_DIALOG_TITLE

    public static final ResourceKey IMPORT_DIALOG_TITLE

### COMMAND_HISTORY_DIALOG_TITLE

    public static final ResourceKey COMMAND_HISTORY_DIALOG_TITLE

### ENCODINGS_DIALOG_TITLE

    public static final ResourceKey ENCODINGS_DIALOG_TITLE

### INCLUDED_PROJECTS_DIALOG_TITLE

    public static final ResourceKey INCLUDED_PROJECTS_DIALOG_TITLE

### METRICS_DIALOG_TITLE

    public static final ResourceKey METRICS_DIALOG_TITLE

### INCLUDE_PROJECT_FAILED_DIALOG_RECURSIVE_INCLUDE_TEXT

    public static final ResourceKey INCLUDE_PROJECT_FAILED_DIALOG_RECURSIVE_INCLUDE_TEXT

### INCLUDE_PROJECT_FILED_DIALOG_ALREADY_INCLUDED_TEXT

    public static final ResourceKey INCLUDE_PROJECT_FILED_DIALOG_ALREADY_INCLUDED_TEXT

### COPY_DIALOG_TITLE

    public static final ResourceKey COPY_DIALOG_TITLE

### ABOUT_APPLICATION_DIALOG_TITLE

    public static final ResourceKey ABOUT_APPLICATION_DIALOG_TITLE

### ABOUT_PLUGINS_DIALOG_TITLE

    public static final ResourceKey ABOUT_PLUGINS_DIALOG_TITLE

### CLIPS_FILES_TO_EXPORT_DIALOG_TITLE

    public static final ResourceKey CLIPS_FILES_TO_EXPORT_DIALOG_TITLE

### CLIPS_FILES_TO_IMPORT_DIALOG_TITLE

    public static final ResourceKey CLIPS_FILES_TO_IMPORT_DIALOG_TITLE

### DATABASE_CONFIGURE_FAILED_DIALOG_DRIVER_NOT_FOUND_TEXT

    public static final ResourceKey DATABASE_CONFIGURE_FAILED_DIALOG_DRIVER_NOT_FOUND_TEXT

### DATABASE_CONFIGURE_FAILED_DIALOG_CANNOT_CREATE_CONNECTION_TEXT

    public static final ResourceKey DATABASE_CONFIGURE_FAILED_DIALOG_CANNOT_CREATE_CONNECTION_TEXT

### ERROR_DIALOG_TITLE

    public static final ResourceKey ERROR_DIALOG_TITLE

### PREFERENCES_DIALOG_TITLE

    public static final ResourceKey PREFERENCES_DIALOG_TITLE

### OPEN_PROJECT_DIALOG_TITLE

    public static final ResourceKey OPEN_PROJECT_DIALOG_TITLE

### WELCOME_DIALOG_HELP_TITLE

    public static final ResourceKey WELCOME_DIALOG_HELP_TITLE

### WELCOME_DIALOG_GETTING_STARTED

    public static final ResourceKey WELCOME_DIALOG_GETTING_STARTED

### WELCOME_DIALOG_ALL_TOPICS

    public static final ResourceKey WELCOME_DIALOG_ALL_TOPICS

### WELCOME_DIALOG_USERS_GUIDE

    public static final ResourceKey WELCOME_DIALOG_USERS_GUIDE

### WELCOME_DIALOG_FAQ

    public static final ResourceKey WELCOME_DIALOG_FAQ

### WELCOME_DIALOG_NEW

    public static final ResourceKey WELCOME_DIALOG_NEW

### WELCOME_DIALOG_NEW_TOOLTIP

    public static final ResourceKey WELCOME_DIALOG_NEW_TOOLTIP

### WELCOME_DIALOG_OPEN

    public static final ResourceKey WELCOME_DIALOG_OPEN

### WELCOME_DIALOG_OPEN_TOOLTIP

    public static final ResourceKey WELCOME_DIALOG_OPEN_TOOLTIP

### WELCOME_DIALOG_OPEN_OTHER

    public static final ResourceKey WELCOME_DIALOG_OPEN_OTHER

### WELCOME_DIALOG_OPEN_OTHER_TOOLTIP

    public static final ResourceKey WELCOME_DIALOG_OPEN_OTHER_TOOLTIP

### WELCOME_DIALOG_OPEN_RECENT_PROJECT_TITLE

    public static final ResourceKey WELCOME_DIALOG_OPEN_RECENT_PROJECT_TITLE

### NAME_SLOT_WIDGET_LABEL

    public static final ResourceKey NAME_SLOT_WIDGET_LABEL

### DOCUMENTATION_SLOT_WIDGET_LABEL

    public static final ResourceKey DOCUMENTATION_SLOT_WIDGET_LABEL

### TEMPLATE_SLOTS_SLOT_WIDGET_LABEL

    public static final ResourceKey TEMPLATE_SLOTS_SLOT_WIDGET_LABEL

### TEMPLATE_SLOTS_SLOT_WIDGET_NAME

    public static final ResourceKey TEMPLATE_SLOTS_SLOT_WIDGET_NAME

### TEMPLATE_SLOTS_SLOT_WIDGET_CARDINALITY

    public static final ResourceKey TEMPLATE_SLOTS_SLOT_WIDGET_CARDINALITY

### TEMPLATE_SLOTS_SLOT_WIDGET_TYPE

    public static final ResourceKey TEMPLATE_SLOTS_SLOT_WIDGET_TYPE

### TEMPLATE_SLOTS_SLOT_WIDGET_OTHER_FACETS

    public static final ResourceKey TEMPLATE_SLOTS_SLOT_WIDGET_OTHER_FACETS

### ROLE_SLOT_WIDGET_LABEL

    public static final ResourceKey ROLE_SLOT_WIDGET_LABEL

### CONSTRAINTS_SLOT_WIDGET_LABEL

    public static final ResourceKey CONSTRAINTS_SLOT_WIDGET_LABEL

### INVERSE_SLOT_WIDGET_LABEL

    public static final ResourceKey INVERSE_SLOT_WIDGET_LABEL

### MINIMUM_CARDINALITY_SLOT_WIDGET_LABEL

    public static final ResourceKey MINIMUM_CARDINALITY_SLOT_WIDGET_LABEL

### NUMERIC_MINIMUM_SLOT_WIDGET_LABEL

    public static final ResourceKey NUMERIC_MINIMUM_SLOT_WIDGET_LABEL

### NUMERIC_MAXIMUM_SLOT_WIDGET_LABEL

    public static final ResourceKey NUMERIC_MAXIMUM_SLOT_WIDGET_LABEL

### VALUE_TYPE_SLOT_WIDGET_LABEL

    public static final ResourceKey VALUE_TYPE_SLOT_WIDGET_LABEL

### DEFAULT_SLOT_WIDGET_LABEL

    public static final ResourceKey DEFAULT_SLOT_WIDGET_LABEL

### TEMPLATE_VALUES_SLOT_WIDGET_LABEL

    public static final ResourceKey TEMPLATE_VALUES_SLOT_WIDGET_LABEL

### SUPERCLASSES_SLOT_WIDGET_LABEL

    public static final ResourceKey SUPERCLASSES_SLOT_WIDGET_LABEL

### SUBCLASSES_SLOT_WIDGET_LABEL

    public static final ResourceKey SUBCLASSES_SLOT_WIDGET_LABEL

### SUPERSLOTS_SLOT_WIDGET_LABEL

    public static final ResourceKey SUPERSLOTS_SLOT_WIDGET_LABEL

### SUBSLOTS_SLOT_WIDGET_LABEL

    public static final ResourceKey SUBSLOTS_SLOT_WIDGET_LABEL

### DOMAIN_SLOT_WIDGET_LABEL

    public static final ResourceKey DOMAIN_SLOT_WIDGET_LABEL

### DIRECT_TYPES_SLOT_WIDGET_LABEL

    public static final ResourceKey DIRECT_TYPES_SLOT_WIDGET_LABEL

### DIRECT_INSTANCES_SLOT_WIDGET_LABEL

    public static final ResourceKey DIRECT_INSTANCES_SLOT_WIDGET_LABEL

### AT_MOST_LABEL

    public static final ResourceKey AT_MOST_LABEL

### AT_LEAST_LABEL

    public static final ResourceKey AT_LEAST_LABEL

### REQUIRED_LABEL

    public static final ResourceKey REQUIRED_LABEL

### MULTIPLE_LABEL

    public static final ResourceKey MULTIPLE_LABEL

### ALLOWED_CLASSES

    public static final ResourceKey ALLOWED_CLASSES

### ALLOWED_SUPERCLASSES

    public static final ResourceKey ALLOWED_SUPERCLASSES

### ALLOWED_VALUES

    public static final ResourceKey ALLOWED_VALUES

### TYPE_INSTANCE

    public static final ResourceKey TYPE_INSTANCE

### TYPE_CLASS

    public static final ResourceKey TYPE_CLASS

### TYPE_FLOAT

    public static final ResourceKey TYPE_FLOAT

### TYPE_BOOLEAN

    public static final ResourceKey TYPE_BOOLEAN

### TYPE_INTEGER

    public static final ResourceKey TYPE_INTEGER

### TYPE_SYMBOL

    public static final ResourceKey TYPE_SYMBOL

### TYPE_STRING

    public static final ResourceKey TYPE_STRING

### TYPE_ANY

    public static final ResourceKey TYPE_ANY

Constructor Detail

### ResourceKey

    public ResourceKey(String key)

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.